import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/vacation_request.dart';
import '../models/vacation_response_model.dart';
import '../models/vacation_type_model.dart';
import '../models/vacations_list_response_model.dart';

abstract class VacationRepository {
  Future<Either<Failure, VacationResponseModel>> createVacation(
    VacationRequest request,
  );
  Future<Either<Failure, VacationTypesResponseModel>> getVacationTypes();
  Future<Either<Failure, VacationsListResponseModel>> getVacations();
}
